akeneo_connectivity_connection_apps_rest_get_app_activate_url:
    path: '/activate/{id}'
    controller: akeneo_connectivity.connection.internal_api.controller.apps.get_app_activate_url
    methods: [GET]

akeneo_connectivity_connection_apps_rest_get_wizard_data:
    path: '/load-wizard-data/{clientId}'
    controller: akeneo_connectivity.connection.public.controller.apps.get_wizard_data
    methods: [GET]

akeneo_connectivity_connection_apps_rest_confirm_authorization:
    path: '/confirm-authorization/{clientId}'
    controller: akeneo_connectivity.connection.apps.controller.apps.confirm_authorization
    methods: [POST]

akeneo_connectivity_connection_apps_rest_confirm_authentication:
    path: '/confirm-authentication/{clientId}'
    controller: akeneo_connectivity.connection.apps.controller.apps.confirm_authentication
    methods: [POST]

akeneo_connectivity_connection_apps_rest_get_all_connected_app_scope_messages:
    path: '/connected-apps/{connectionCode}/scope-messages'
    controller: akeneo_connectivity.connection.internal_api.controller.apps.connected_app.get_all_scope_messages
    methods: [GET]

akeneo_connectivity_connection_apps_rest_get_connected_app:
    path: '/connected-apps/{connectionCode}'
    controller: akeneo_connectivity.connection.internal_api.controller.apps.get_connected_app
    methods: [GET]

akeneo_connectivity_connection_apps_rest_get_all_connected_apps:
    path: '/connected-apps'
    controller: akeneo_connectivity.connection.internal_api.controller.apps.get_all_connected_apps
    methods: [GET]

akeneo_connectivity_connection_apps_rest_delete:
    path: '/connected-apps/{connectionCode}'
    controller: Akeneo\Connectivity\Connection\Infrastructure\Apps\Controller\InternalApi\DeleteAppAction
    methods: [DELETE]

akeneo_connectivity_connection_apps_rest_get_connected_app_monitoring_settings:
    path: '/connected-apps/{connectionCode}/monitoring-settings'
    controller: Akeneo\Connectivity\Connection\Infrastructure\Apps\Controller\InternalApi\GetConnectedAppMonitoringSettingsAction
    methods: [GET]

akeneo_connectivity_connection_apps_rest_update_connected_app_monitoring_settings:
    path: '/connected-apps/{connectionCode}/monitoring-settings'
    controller: Akeneo\Connectivity\Connection\Infrastructure\Apps\Controller\InternalApi\UpdateConnectedAppMonitoringSettingsAction
    methods: [POST]
